Page MenuHomePhabricator

Fix easy problems reported by RuboCop
Closed, ResolvedPublic

Description

Several repositories have big .rubocop_todo.yml files. Fix easy and non controversial problems, leave hard problems to the team that is in charge of the repository.

.rubocop.yml should include this base configuration.

gerrit

namerubocoplinestask
mediawiki/core0.32.1
mediawiki/extensions/ArticleFeedbackv50.26.122
mediawiki/extensions/CentralAuth0.29.1T94401
mediawiki/extensions/CentralNotice0.29.1T94558
mediawiki/extensions/CirrusSearch0.26.111T117983
mediawiki/extensions/ContentTranslation0.29.110T113742
mediawiki/extensions/Echo0.29.016T114095
mediawiki/extensions/Flow0.32.142
mediawiki/extensions/Gather0.34.139T112099
mediawiki/extensions/GettingStarted0.29.131T113846
mediawiki/extensions/Math0.27.039T111184
mediawiki/extensions/MobileFrontend0.29.139
mediawiki/extensions/MultimediaViewer0.29.170T117984
mediawiki/extensions/PageTriage0.26.122T117985
mediawiki/extensions/PdfHandler0.26.117T117986
mediawiki/extensions/PoolCounter0.27.1
mediawiki/extensions/QuickSurveys0.29.1T111976
mediawiki/extensions/Translate0.26.1110T117987
mediawiki/extensions/TwnMainPage0.26.151T117988
mediawiki/extensions/UniversalLanguageSelector0.29.1125T117989
mediawiki/extensions/UploadWizard0.29.136
mediawiki/extensions/VisualEditor0.32.120
mediawiki/extensions/WikiLove0.26.126T110672
mediawiki/extensions/ZeroBanner0.26.121
mediawiki/extensions/ZeroPortal0.26.147
mediawiki/ruby/api0.29.1T94400
mediawiki/selenium0.29.1T94399
mediawiki/vagrant0.33.0166T106220
oojs/ui0.27.1
operations/puppet0.33.0348T112651
VisualEditor/VisualEditor0.29.126

github

namerubocoplines
amire80/commons_upload0.33
amire80/screenshot.git?
wmde/WikidataApiGem-
wmde/WikidataBrowserTests0.32.125
$ find . -name ".rubocop_todo.yml" -exec wc -l {} +
     183 ./mediawiki/vagrant/.rubocop_todo.yml
...

Details

Related Objects

StatusAssignedTask
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Invalidzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 194515 merged by jenkins-bot:
Set up RuboCop configuration according to coding conventions

https://gerrit.wikimedia.org/r/194515

Change 197672 had a related patch set uploaded (by Zfilipin):
Fixed Style/FileName RuboCop offense

https://gerrit.wikimedia.org/r/197672

Change 197676 had a related patch set uploaded (by Zfilipin):
Fixed Lint/UnusedMethodArgument RuboCop offense

https://gerrit.wikimedia.org/r/197676

Change 197677 had a related patch set uploaded (by Zfilipin):
Fixed Style/PerlBackrefs RuboCop offense

https://gerrit.wikimedia.org/r/197677

Change 197678 had a related patch set uploaded (by Zfilipin):
Fixed Style/HashSyntax RuboCop offense

https://gerrit.wikimedia.org/r/197678

Change 197682 had a related patch set uploaded (by Zfilipin):
Fixed Style/StringLiterals RuboCop offense

https://gerrit.wikimedia.org/r/197682

Change 197672 merged by jenkins-bot:
Fixed Style/FileName RuboCop offense

https://gerrit.wikimedia.org/r/197672

Change 197676 merged by jenkins-bot:
Fixed Lint/UnusedMethodArgument RuboCop offense

https://gerrit.wikimedia.org/r/197676

Change 197677 merged by jenkins-bot:
Fixed Style/PerlBackrefs RuboCop offense

https://gerrit.wikimedia.org/r/197677

Change 197678 merged by jenkins-bot:
Fixed Style/HashSyntax RuboCop offense

https://gerrit.wikimedia.org/r/197678

Change 197682 merged by jenkins-bot:
Fixed Style/StringLiterals RuboCop offense

https://gerrit.wikimedia.org/r/197682

zeljkofilipin renamed this task from Fix easy problems reported by RuboCop to Fix easy problems reported by RuboCop (tracking).Mar 30 2015, 12:19 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin edited projects, added Tracking-Neverending; removed Patch-For-Review.
zeljkofilipin removed zeljkofilipin as the assignee of this task.Apr 8 2015, 10:01 AM
zeljkofilipin moved this task from In Progress to Next on the Browser-Tests-Infrastructure board.

Not working on this. I plan to continue with this later, but feel free to take the task.

hashar raised the priority of this task from Low to Medium.May 29 2015, 11:14 AM
hashar removed a project: Release-Engineering-Team.
hashar moved this task from In-progress to Backlog on the Release-Engineering-Team board.

Change 225324 had a related patch set uploaded (by Zfilipin):
Updated RuboCop to the latest version

https://gerrit.wikimedia.org/r/225324

Change 225325 had a related patch set uploaded (by Zfilipin):
Fixed Style/TrailingWhitespace RuboCop offense

https://gerrit.wikimedia.org/r/225325

zeljkofilipin renamed this task from Fix easy problems reported by RuboCop (tracking) to Fix easy problems reported by RuboCop.Jul 18 2015, 5:03 PM
zeljkofilipin removed a subscriber: Cmcmahon.
zeljkofilipin moved this task from Backlog to In-progress on the Release-Engineering-Team board.
zeljkofilipin updated the task description. (Show Details)Sep 2 2015, 2:29 PM
zeljkofilipin updated the task description. (Show Details)Sep 2 2015, 2:40 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
Jay8g added a subscriber: Jay8g.Sep 25 2015, 2:57 AM
zeljkofilipin updated the task description. (Show Details)Nov 6 2015, 4:19 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Dec 9 2015, 4:27 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Feb 16 2016, 10:04 AM
zeljkofilipin moved this task from In-progress to Next on the Release-Engineering-Team board.
zeljkofilipin moved this task from Next to Backlog on the Release-Engineering-Team board.
hashar closed this task as Resolved.Feb 16 2016, 2:40 PM
hashar assigned this task to zeljkofilipin.
hashar added a subscriber: hashar.

Rubocop is enabled on the repositories we care of. Most of them are 100% compliant, some might have some leftover todo. The task was about fixing easy / uncontroversial problems, as such it is complete.